From 261778bdf79fa41bc82d6b1282fe6fbaf85fb62d Mon Sep 17 00:00:00 2001
From: Aurelien Bompard <aurelien@bompard.org>
Date: Jan 26 2017 16:30:50 +0000
Subject: [PATCH 671/1001] Merge #303 `Small improvements in the Javascript code`


---

diff --git a/hubs/models.py b/hubs/models.py
index 68197d8..add289e 100755
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -266,6 +266,11 @@ class Hub(BASE):
             [w for w in self.widgets if not w.left],
             key=lambda w: w.index)
 
+    @property
+    def widgets_idx(self):
+        """Returns the list of indices for this hub's widgets."""
+        return [w.idx for w in self.widgets]
+
     def __json__(self, session):
         return {
             'name': self.name,
diff --git a/hubs/static/js/utils.js b/hubs/static/js/utils.js
index 1e97046..01f2382 100644
--- a/hubs/static/js/utils.js
+++ b/hubs/static/js/utils.js
@@ -10,3 +10,25 @@ var collapse_feed_entries = function(idx) {
     $("#collapse-" + idx).addClass('hidden');
     $("#content-" + idx).addClass('hidden');
 }
+
+// Load widgets
+ function setup_widgets(base_url, widgets) {
+   console.log(base_url, widgets);
+   $.each(widgets, function(i, widget) {
+     $.ajax({
+       url: base_url + widget,
+       dataType: 'html',
+       success: function(html) {
+         $('#widget-' + widget).html(html);
+         setTimeout(function() {
+           $('#widget-' + widget + ' .panel').toggleClass('panel-visible');
+         }, 100);
+       },
+       error: function() {
+         $('#widget-' + widget).html('Got an error retrieving this widget.  Sorry :(');
+         console.log('error');
+         console.trace();
+       },
+     });
+   });
+ }
